# OpalMediaOptionValue< T > Class Template Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalMediaOptionValue< T >:

[legend]
Collaboration diagram for OpalMediaOptionValue< T >:
[legend]

## Public Member Functions

| OpalMediaOptionValue (const char *name, bool readOnly, OpalMediaOption::MergeType merge=OpalMediaOption::MinMerge, T value=T())
virtual PObject * | Clone () const
virtual void | PrintOn (ostream &strm) const
virtual void | ReadFrom (istream &strm)
virtual bool | Merge (const OpalMediaOption &option)
virtual Comparison | CompareValue (const OpalMediaOption &option) const
virtual void | Assign (const OpalMediaOption &option)
T | GetValue () const
void | SetValue (T value)

## Protected Attributes

T | m_value

### template<typename T>
class OpalMediaOptionValue< T >

## Constructor & Destructor Documentation

template<typename T>

OpalMediaOptionValue< T >::OpalMediaOptionValue | ( | const char * | name,
|  | bool | readOnly,
|  | OpalMediaOption::MergeType | merge = `OpalMediaOption::MinMerge`,
|  | T | value = `T()` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename T>

virtual void OpalMediaOptionValue< T >::Assign | ( | const OpalMediaOption & | option | ) | `[inline, virtual]`

Implements OpalMediaOption.

template<typename T>

virtual PObject* OpalMediaOptionValue< T >::Clone | ( |  | ) | const`[inline, virtual]`

Reimplemented in OpalMediaOptionNumericalValue< T >.

template<typename T>

virtual Comparison OpalMediaOptionValue< T >::CompareValue | ( | const OpalMediaOption & | option | ) | const`[inline, virtual]`

Implements OpalMediaOption.

template<typename T>

T OpalMediaOptionValue< T >::GetValue | ( |  | ) | const`[inline]`

template<typename T>

virtual bool OpalMediaOptionValue< T >::Merge | ( | const OpalMediaOption & | option | ) | `[inline, virtual]`

Reimplemented from OpalMediaOption.

template<typename T>

virtual void OpalMediaOptionValue< T >::PrintOn | ( | ostream & | strm | ) | const`[inline, virtual]`

template<typename T>

virtual void OpalMediaOptionValue< T >::ReadFrom | ( | istream & | strm | ) | `[inline, virtual]`

Reimplemented in OpalMediaOptionNumericalValue< T >.

template<typename T>

void OpalMediaOptionValue< T >::SetValue | ( | T | value | ) | `[inline]`

Reimplemented in OpalMediaOptionNumericalValue< T >.

## Field Documentation

template<typename T>

T OpalMediaOptionValue< T >::m_value `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h